<?php

/*************************************************************************
 * Mini Avatars Tag - XenConcept (c) 2017
 * All Rights Reserved.
 **************************************************************************
 * This file is subject to the terms and conditions defined in the Licence
 * Agreement available at Try it like it buy it :)
 *************************************************************************/

namespace XenConcept\MiniAvatarsTag\XF\BbCode\Renderer;

class Html extends XFCP_Html
{

    public function renderTagUser(array $children, $option, array $tag, array $options)
    {
        $response =  parent::renderTagUser($children, $option, $tag, $options);

        if ($response !== '')
        {
            $userId = intval($tag['option']);

            if (!$userId)
            {
                return $response;
            }
            else
            {
                $user = \XF::app()->finder('XF:User')->where('user_id', $userId)->fetchOne();
            }

            $viewParams = [
                'link' => $link = \XF::app()->router('public')->buildLink('full:members', ['user_id' => $userId]),
                'user' => $user,
                'response' => $response
            ];

            return $this->templater->renderTemplate('public:xc_mini_avatars_tag_render', $viewParams);
        }

        return $response;
    }
}